summaryrefslogtreecommitdiff
path: root/opensshd.init
diff options
context:
space:
mode:
Diffstat (limited to 'opensshd.init')
-rwxr-xr-xopensshd.init49
1 files changed, 49 insertions, 0 deletions
diff --git a/opensshd.init b/opensshd.init
new file mode 100755
index 00000000..4c9c806d
--- /dev/null
+++ b/opensshd.init
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# Init file for OpenSSH server daemon
+#
+# chkconfig: 2345 55 25
+# description: OpenSSH server daemon
+#
+# processname: opensshd
+# config: /etc/openssh/ssh_host_key
+# config: /etc/openssh/ssh_host_key.pub
+# config: /etc/openssh/ssh_random_seed
+# config: /etc/openssh/sshd_config
+# pidfile: /var/run/opensshd.pid
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+case "$1" in
+ start)
+ echo -n "Starting opensshd: "
+ daemon /usr/sbin/opensshd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/sshd
+ echo
+ ;;
+ stop)
+ echo -n "Shutting down opensshd: "
+ killproc sshd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd
+ echo
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ status)
+ status opensshd
+ RETVAL=$?
+ ;;
+ *)
+ echo "Usage: opensshd {start|stop|restart|status}"
+ exit 1
+esac
+
+exit $RETVAL